Page MenuHomePhabricator

Ctrl+Alt + Fx and then back to F1 doesn't work on wayland
Closed, ResolvedPublic

Description

As the title suggests. Ctrl alt +f3 and then Ctrl Alt + f1 to rep.

ApB created this task.May 12 2017, 8:19 AM
ApB reopened this task as Open.Jun 3 2017, 2:32 AM

@ManMower

I am pretty sure this is due to your flip hack but every time i ctrl+alt+fx and then back to f1 the pointer disappears. I can click and stuff but it doesn't show up.

Also i got this one time while testing:

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
Core was generated by `/usr/bin/enlightenment'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0xb6cc8074 in xkb_keymap_ref () from /usr/lib/libxkbcommon.so.0
[Current thread is 1 (Thread 0xb568e140 (LWP 22864))]
(gdb) bt
#0  0xb6cc8074 in xkb_keymap_ref () at /usr/lib/libxkbcommon.so.0
#1  0xb6cc9918 in xkb_state_new () at /usr/lib/libxkbcommon.so.0
#2  0xb5d91fe3 in _keyboard_state_reset (kbd=0x998c710) at lib/elput/elput_evdev.c:271
#3  0xb5d9204a in _keyboard_release (seat=0x998c178) at lib/elput/elput_evdev.c:284
#4  0xb5d95561 in _evdev_device_destroy (edev=0x91306e8) at lib/elput/elput_evdev.c:1655
#5  0xb5d95f72 in _device_event_cb_free (data=0x0, event=0x8c4a8e8) at lib/elput/elput_input.c:178
#6  0xb6c3eca3 in _ecore_call_end_cb (func=0xb5d95f03 <_device_event_cb_free>, user_data=0x0, func_data=0x8c4a8e8) at lib/ecore/ecore_private.h:306
#7  0xb6c3f6f9 in _ecore_event_del (event=0x98f5818) at lib/ecore/ecore_events.c:349
#8  0xb6c3f79e in _ecore_event_purge_deleted () at lib/ecore/ecore_events.c:367
#9  0xb6c4009a in ecore_event_type_flush_internal (type=0) at lib/ecore/ecore_events.c:659
#10 0xb5d99ece in elput_shutdown () at lib/elput/elput.c:67
#11 0xb6ca1090 in ecore_drm2_shutdown () at lib/ecore_drm2/ecore_drm2.c:216
#12 0x0818cab7 in _e_crash () at src/bin/e_signals.c:85
#13 0x0818cae7 in e_sigseg_act (x=11, info=0xbfcb1e0c, data=0xbfcb1e8c) at src/bin/e_signals.c:106
#14 0xb7746d00 in <signal handler called> ()
#15 0xb70d2401 in _evas_object_pointer_data_find (obj=0x9a10560, pointer=0x8003b9ea) at lib/evas/canvas/evas_object_main.c:85
#16 0xb70d2449 in _evas_device_del_cb (data=0x9a10560, ev=0xbfcb223c) at lib/evas/canvas/evas_object_main.c:98
#17 0xb60bf13a in _event_callback_call (obj_id=0x8003b9ea, pd=0x8c65fd8, desc=0xb60cabc0 <_EFL_EVENT_DEL>, event_info=0x0, legacy_compare=0 '\000') at lib/eo/eo_base_class.c:1496
#18 0xb60bf2d6 in _efl_object_event_callback_call (obj_id=0x8003b9ea, pd=0x8c65fd8, desc=0xb60cabc0 <_EFL_EVENT_DEL>, event_info=0x0) at lib/eo/eo_base_class.c:1557
#19 0xb60bf3a7 in efl_event_callback_call (obj=0x8003b9ea, desc=0xb60cabc0 <_EFL_EVENT_DEL>, event_info=0x0) at lib/eo/eo_base_class.c:1560
#20 0xb60b3c9a in _efl_del_internal (obj=0x8c65fb0, func_name=0xb60c4710 <__FUNCTION__.13239> "_efl_object_call_end", file=0xb60c396a "lib/eo/eo.c", line=641) at lib/eo/eo_private.h:256
#21 0xb60b4042 in _efl_unref_internal (obj=0x8c65fb0, func_name=0xb60c4710 <__FUNCTION__.13239> "_efl_object_call_end", file=0xb60c396a "lib/eo/eo.c", line=641) at lib/eo/eo_private.h:335
#22 0xb60b6136 in _efl_object_call_end (call=0xbfcb23bc) at lib/eo/eo.c:641
#23 0xb60c0837 in efl_del (obj=0x8003b9ea) at lib/eo/efl_object.eo.c:18
#24 0xb70a09ac in evas_device_del (dev=0x8003b9ea) at lib/evas/canvas/evas_device.c:223
#25 0xb2f3905e in _drm_device_change (d=0x0, t=207, event=0x960cdb0) at modules/ecore_evas/engines/drm/ecore_evas_drm.c:157
#26 0xb6c3ecf0 in _ecore_call_handler_cb (func=0xb2f38db0 <_drm_device_change>, data=0x0, type=207, event=0x960cdb0) at lib/ecore/ecore_private.h:325
#27 0xb6c3fc10 in _ecore_event_call () at lib/ecore/ecore_events.c:518
#28 0xb6c489a1 in _ecore_main_loop_iterate_internal (once_only=0) at lib/ecore/ecore_main.c:2397
#29 0xb6c466eb in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1299
#30 0x0807b189 in main (argc=1, argv=0xbfcea6b4) at src/bin/e_main.c:1081
(gdb)

Err disappearing cursor has nothing to do with the extra page flip at all.

I get that backtrace here sometimes too - it's actually not related to anything I've done, and seems to be from something that landed after my fix.

zmike triaged this task as Pending on user input priority.Aug 21 2017, 1:54 PM

Need valgrind log to fix that crash.

ApB added a comment.Aug 21 2017, 2:32 PM
In T5483#95966, @zmike wrote:

Need valgrind log to fix that crash.

can't seem to be able to crash it. in case derek sees the crash he can provide the BT. The switching is fixed so unless the crash still happens you can close this.

zmike closed this task as Resolved.Aug 21 2017, 2:36 PM